libunshield0_1.0-1_i386.deb


Advertisement

Description

libunshield0 - library to extract CAB files from InstallShield installers

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main i386
Package filename libunshield0_1.0-1_i386.deb
Package name libunshield0
Package version 1.0
Package release 1
Package architecture i386
Package type deb
Category implemented-in::c libs role::shared-lib
Homepage https://github.com/twogood/unshield/
License -
Maintainer Evgeni Golov <evgeni@debian.org>
Download size 19.99 KB
Installed size 76.00 KB
This are libraries to create applications extracting CAB files from
InstallShield installers used to be installed on Windows CE devices or
Windows desktop machines.

Alternatives

Package Version Architecture Repository
libunshield0_1.0-1_amd64.deb 1.0 amd64 Debian Main
libunshield0 - - -

Requires

Name Value
libc6 >= 2.4
multiarch-support -
zlib1g >= 1:1.1.4

Conflicts

Name Value
liborange -
libunshield -

Replaces

Name Value
libunshield -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libunshield0_1.0-1_i386.deb
Source Package unshield

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libunshield0 deb package:
    # sudo apt-get install libunshield0

Files

Path
/usr/lib/i386-linux-gnu/libunshield.so.0
/usr/lib/i386-linux-gnu/libunshield.so.0.0.0
/usr/share/doc/libunshield0/changelog.Debian.gz
/usr/share/doc/libunshield0/changelog.gz
/usr/share/doc/libunshield0/copyright

Changelog

2013-09-07 - Evgeni Golov <evgeni@debian.org>
unshield (1.0-1) unstable; urgency=low
* New upstream release
Closes: #721943
LP: #1221386
+ Does not abort on ARM9 / armv5tel cpu anymore
Closes: #721933
+ Provides an option to extract selected files
Closes: #260174
* update debian/watch for the GitHub move
* update homepage in debian/copyright and debian/control
* use dh-autoreconf
* drop new_installshield_format.patch, it was taken from upstram
* update Vcs-* fields to new, canonical URLs
* use dh 9
* Standards-Version: 3.9.4
* disable RPATH
* enable multiarch support
* update debian/copyright to latest dep3
2012-03-03 - Evgeni Golov <evgeni@debian.org>
unshield (0.6-3) unstable; urgency=low
* Import patch for new InstallShield versions from Upstream (Closes: #580470)
* Refresh copyright file
* Standards-Version: 3.9.3
2011-04-30 - Evgeni Golov <evgeni@debian.org>
unshield (0.6-2) unstable; urgency=low
* Fix Vcs-Git field.
* Drop .la file.
* Use dh rules.tiny for debian/rules.
* Standards-Version: 3.9.2.
* Format 3.0 (quilt).
2010-03-12 - Evgeni Golov <evgeni@debian.org>
unshield (0.6-1) unstable; urgency=low
* New upstream release.
* Switch my e-mail address.
* Add ${misc:Depends} to Depends of all binary packages, thanks lintian.
* Bump to debhelper 5, 4 is deprecated.
* Bump Standards-Version to 3.8.4.
* Improve libunshield-dev's long description, thanks lintian.
* Add Vcs-* fields.
2008-05-09 - Evgeni Golov <sargentd@die-welt.net>
unshield (0.5.1-1) unstable; urgency=low
* New maintainer (Closes: #469787)
* New upstream release (Closes: #350210)
* debian/control:
+ libunshield-dev should use ${binary:Version} instead of ${Source-Version}
for depends on libunshield0.
+ Bump Standards-Version to 3.7.3, no changes needed.
+ Build-Depend on automake instead automake1.7.
+ Remove Build-Depend on autoconf.
+ Check spelling. (Closes: #418118)
+ Add a Homepage field.
* debian/rules:
+ Don't ignore make errors in the clean target.
+ Update config.{sub,guess} on configure, and remove on clean.
+ Don't set CFLAGS, let dpkg handle it.
+ Don't set INSTALL_PROGRAM += -s when no nostrip is found, 
dh_strip will do this on its own.
+ Install upstream changelog.
* debian/watch:
+ Update watch-file, it finds upstream releases again now.
* debian/copyright:
+ List all copyright holders.
+ Use the machine-readable format.
* debian/{unshield,libunshield0,libundhield-dev}.dirs:
+ Removed the unneeded .dirs files
2005-09-13 - Volker Christian <voc@debian.org>
unshield (0.5-3) unstable; urgency=low
* Added Build-Depends to libtool, autoconf, and automake
2005-09-10 - Volker Christian <voc@debian.org>
unshield (0.5-2) unstable; urgency=low
* Fixed conflicts and replacements
2005-09-10 - Volker Christian <voc@debian.org>
unshield (0.5-1) unstable; urgency=low
* New upstream release
* Changed Maintainer-Email to voc@debian.org
* Updated watch file to conform to version 3
* Updated the the Policy standard 3.6.2
2004-08-29 - Volker Christian <voc@users.sourceforge.net>
unshield (0.4-3) unstable; urgency=low
* Added --version-info to dh_makeshlibs
2004-08-11 - Volker Christian <voc@users.sourceforge.net>
unshield (0.4-2) unstable; urgency=low
* Fixed a ia64 bug in upstream ... patch has to be sent to upstream developer

See Also

Package Description
libunwind-dev_1.1-3.2_i386.deb library to determine the call-chain of a program - development
libunwind-setjmp0-dev_1.1-3.2_i386.deb libunwind-based non local goto - development
libunwind-setjmp0_1.1-3.2_i386.deb libunwind-based non local goto - runtime
libunwind8-dev_1.1-3.2_i386.deb library to determine the call-chain of a program - development
libunwind8_1.1-3.2_i386.deb library to determine the call-chain of a program - runtime
libupnp-dev_1.6.19+git20141001-1+deb8u1_all.deb Portable SDK for UPnP Devices (development files)
libupnp-java-doc_1.0.4+triplea-1_all.deb Java library for Universal Plug aNd Play (upnp) - doc
libupnp-java_1.0.4+triplea-1_all.deb Java library for Universal Plug aNd Play (upnp)
libupnp6-dev_1.6.19+git20141001-1+deb8u1_i386.deb Portable SDK for UPnP Devices, version 1.6 (development files)
libupnp6-doc_1.6.19+git20141001-1+deb8u1_all.deb Documentation for the Portable SDK for UPnP Devices, version 1.6
libupnp6_1.6.19+git20141001-1+deb8u1_i386.deb Portable SDK for UPnP Devices, version 1.6 (shared libraries)
libupower-glib-dev_0.99.1-3.2_i386.deb abstraction for power management - development files
libupower-glib3_0.99.1-3.2_i386.deb abstraction for power management - shared library
libups-nut-perl_2.7.2-4_all.deb network UPS tools - Perl bindings for NUT server
libupsclient-dev_2.7.2-4_i386.deb network UPS tools - development files
Advertisement
Advertisement